org.eclipse.gef

## Interface MouseWheelHandler

All Known Implementing Classes:
  MouseWheelZoomHandler

    public interface MouseWheelHandler

MouseWheelHandlers can be `registered` on an EditPartViewer with keys generated by the KeyGenerator. GEF tools delegate handling of mouse-wheel events to MouseWheelHandlers, if there are no drag trackers active.

Since:
  3.1

### Nested Class Summary

Nested Classes
`static class` `MouseWheelHandler.KeyGenerator` A utility class used to generate keys from a given stateMask.

### Method Summary

Methods
`void` `handleMouseWheel(Event event, EditPartViewer viewer)` Handles mouse-wheel events.

### Method Detail

#### handleMouseWheel

    void handleMouseWheel(Event event,
                        EditPartViewer viewer)

Handles mouse-wheel events. If the given event was handled in some way, its `doit` field should be set to false so as to prevent further processing of that event.

Parameters:
  `event` - The SWT event that was generated as a result of the mouse-wheel scrolling
  `viewer` - The originating viewer